package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.account.ChDisabAccounts;
import com.hungraim.ltc.pojo.vo.account.AccountOperVo;
import com.hungraim.ltc.pojo.vo.account.SrvOrganAccountListResp;
import com.hungraim.ltc.pojo.vo.account.SrvOrganListReq;
import com.hungraim.ltc.pojo.vo.account.SrvOrganListResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface ChDisabAccountsMapper extends BaseMapper<ChDisabAccounts> {

    @Select("<script>" +
            "SELECT " +
            "  t1.ACCOUNTS_ID, " +
            "  t3.ORGAN_ID, " +
            "  t3.ORGAN_NAME, " +
            "  t2.SRV_ORGAN_ID, " +
            "  t2.SRV_ORGAN_NAME, " +
            "  t1.ACCOUNTS_TIME, " +
            "  t1.ACCOUNTS_STATUS, " +
            "  t1.TOTAL_EXPENSES_PAYABLE, " +
            "  t1.TOTAL_ALLOCATED_EXPENSES  " +
            "FROM " +
            "  CH_DISAB_ACCOUNTS t1 " +
            "  LEFT JOIN CH_SRV_ORGAN t2 ON t1.SRV_ORGAN_ID = t2.SRV_ORGAN_ID " +
            "  LEFT JOIN CH_FND_ORGAN t3 ON t2.ORGAN_ID = t3.ORGAN_ID  " +
            "<where> " +
            " <if test='organIds != null and organIds.size()>0'>  t3.ORGAN_ID IN  <foreach collection=\"organIds\" open=\"(\" close=\")\" item=\"organId\" separator=\",\">#{organId}</foreach> </if>" +
            "  " +
            "  <if test='req.srvOrganId != null'> AND t2.SRV_ORGAN_ID = #{req.srvOrganId} </if>   " +
            "  <if test='req.accountsTime != null'> AND t1.ACCOUNTS_TIME = #{req.accountsTime} </if>" +
            "</where></script>")
    Page<SrvOrganListResp> searchSrvOrganList(Page page, List<Long> organIds, SrvOrganListReq req);

    @Select("SELECT    " +
            "t1.*,    " +
            "t3.ORGAN_ID    " +
            " FROM    " +
            "    CH_DISAB_ACCOUNTS t1    " +
            "    LEFT JOIN CH_SRV_ORGAN t2 ON t1.SRV_ORGAN_ID = t2.SRV_ORGAN_ID    " +
            "    LEFT JOIN CH_FND_ORGAN t3 ON t2.ORGAN_ID = t3.ORGAN_ID     " +
            "WHERE    " +
            "    t1.ACCOUNTS_ID = #{accountsId}")
    AccountOperVo getDetailById(Long accountsId);



    ChDisabAccounts queryAccountByCondition(String accountsTime, String modeName, String srvOrganId,Integer isDelay);


    Page<SrvOrganAccountListResp> searchSrvOrganAccountList(Page page, List<Long> organIds, SrvOrganListReq req);


}