package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvProgram;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.vo.disable.DisableInfoListVo;
import com.hungraim.ltc.pojo.vo.governance.ProgramListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 失能人员信息Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface DisableInfoMapper extends BaseMapper<ChDisableInfo> {

    /**
     *  列表查询
     *
     * @param page          分页参数
     * @param srvOrganId    服务机构id
     * @return 返回列表
     */
    Page<DisableInfoListVo> getDisableInfoList(Page<DisableInfoListVo> page,  @Param("srvOrganId") Long srvOrganId,String certiCode,String realName,String svrModelId);

    int deleteSrvSend(Integer disableInfoId,String exitTime);

    int updateSrvProgramById(ChSrvProgram chSrvProgram);


    int updateSrvSendById(ChSrvSend chSrvSend);


     int insertSrvSend(Integer disableInfoId);

}
