package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.vo.disable.SrvOrganListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 护理机构Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface SrvOrganMapper extends BaseMapper<ChSrvOrgan> {


    /**
     * 分页查询护理机构列表
     *
     * @param page         分页对象
     * @param organIds     适用机构id集合
     * @param creditCode   统一社会信用代码
     * @param srvOrganName 护理机构名称
     * @return 返回护理机构列表
     */
    Page<SrvOrganListVo> getSrvOrganList(Page<SrvOrganListVo> page, @Param("organIds") List<Long> organIds,
                                         @Param("creditCode") String creditCode,
                                         @Param("srvOrganName") String srvOrganName,
                                         @Param("srvOrganId") Long srvOrganId);
}
