package com.hungraim.ltc.pojo.entity.riskLevel;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 失能人员风险等级表
 * </p>
 *
 * @author dzh
 * @since 2022-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("CH_DISABLE_RISK_LEVEL")
@KeySequence("SEQ_CH_DISABLE_RISK_LEVEL")
public class ChDisableRiskLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
   // @TableId(value = "DISA_RISK_LEVEL_ID", type = IdType.AUTO)
    @TableId(value = "DISA_RISK_LEVEL_ID", type = IdType.INPUT)
    private Long disaRiskLevelId;

    /**
     * 失能人员ID
     */
    @TableField("DISAB_INFO_ID")
    private Long disabInfoId;

    /**
     * 失能人员可疑任务数量（近30天）
     */
    @TableField("DISAB_SUSP_COU")
    private Long disabSuspCou;

    /**
     * 失能人员任务数量（近30天）
     */
    @TableField("DISAB_SUM_COU")
    private Long disabSumCou;

    /**
     * 风险等级百分比
     */
    @TableField("RISK_LEVEL_PERCENT")
    private String riskLevelPercent;

    /**
     * 风险等级(0低风险，1中风险，2高风险，3无任务)
     */
    @TableField("RISK_LEVEL")
    private Long riskLevel;

    /**
     * 状态(0有效，1失效)
     */
    @TableField("STATUS")
    private Integer status;

    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;

    /**
     * 首次操作时间
     */
    @TableField("FCD")
    private Date fcd;

    /**
     * 首次操作人
     */
    @TableField("FCU")
    private Long fcu;

    /**
     * 末次操作时间
     */
    @TableField("LCD")
    private Date lcd;

    /**
     * 末次操作人
     */
    @TableField("LCU")
    private Long lcu;


}
