package com.hungraim.ltc.pojo.entity.riskLevel;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 护理机构风险等级表
 * </p>
 *
 * @author dzh
 * @since 2022-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("CH_SRVORGAN_RISK_LEVEL")
@KeySequence("SEQ_CH_SRVORGAN_RISK_LEVEL")
public class ChSrvorganRiskLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "SRVORGAN_RISK_LEVEL_ID", type = IdType.INPUT)
    private Long srvorganRiskLevelId;

    /**
     * 护理机构ID
     */
    @TableField("SRV_ORGAN_ID")
    private Long srvOrganId;

    /**
     * 护理机构可疑任务数量（近30天）
     */
    @TableField("SRVORG_SUSP_COU")
    private Long srvorgSuspCou;

    /**
     * 护理机构任务数量（近30天）
     */
    @TableField("SRVORG_SUM_COU")
    private Long srvorgSumCou;

    /**
     * 风险等级百分比
     */
    @TableField("RISK_LEVEL_PERCENT")
    private String riskLevelPercent;

    /**
     * 风险等级(0低风险，1中风险，2高风险，3无任务)
     */
    @TableField("RISK_LEVEL")
    private Long riskLevel;

    /**
     * 状态(0有效，1失效)
     */
    @TableField("STATUS")
    private Integer status;

    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;

    /**
     * 首次操作时间
     */
    @TableField("FCD")
    private Date fcd;

    /**
     * 首次操作人
     */
    @TableField("FCU")
    private Long fcu;

    /**
     * 末次操作时间
     */
    @TableField("LCD")
    private Date lcd;

    /**
     * 末次操作人
     */
    @TableField("LCU")
    private Long lcu;


}
