package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.assessment.ChAprReportFraction;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 评定报告录入列表
 */
@Data
public class TaskReportVO {
    //评定id
    private String reportId;
    //机构id
    private String organId;
    //机构名
    private String organName;
    //所在省市区
    private String districtProvincial;
    private String districPity;
    private String districtArea;
    //失能等级id
    private String disableLevelId;
    //失能人员姓名
    private String realName;
    //失能人员身份证号码
    private String certiCode;
    //保单号
    private String polNo;
    //备注
    private String remark;
    //评估时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date evaluateTime;
    //出生年月
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    //诊断疾病
    private String diseTypeF;
    private String diseTypeS;
    //失能人员手机号码
    private String tel;
    //失能人员性别
    private String gender;
    //失能人员病情描述
    private String diseaseDesc;
    //失能人员所在省市区
    private String disDistrictProvincial;
    private String disDistrictCity;
    private String disDistrictArea;
    //失能人员现住址
    private String adressDistrictProvincial;
    private String adressDistrictCity;
    private String adressDistrictCode;
    private String operAddress;
    //失能人员接受评定地址
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    //接受评定详细地址
    private String acptAddress;
    //失能人员接受服务地址
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    //接受服务地址详细地址
    private String acptSrvAddress;
    //评定结果
    private String riskLevel;
    //评估类型
    private Integer evaluateType;
    //评估类型名称
    private String evaluateTypeName;

    //公示开始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date publicityStartTime;
    //公示结束时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date publicityEndTime;
    //公示时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date publicityTime;

    private Map<String,Object> chAprReportFractions;

    //录入时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date effTime;
}
