package com.hungraim.ltc.pojo.vo.disable;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 失能审核信息详情VO
 */
@Data
public class DisableExamineInfoVO {
    // 失能人员id
    private Long applyId;
    //***失能人员个人信息
    //机构
    private String organId;
    private String organName;
    //所在省市
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    //申请人姓名
    private String realName;
    //身份证号码
    private String certiCode;
    //出生年月日
    private Date birthday;
    //性别
    private String gender;
    //手机
    private String tel;
    /**
     *医保统筹区省
     */
   // private String medicalProvincial;

    /**
     *医保统筹区市
     */
   // private String medicalCity;

    /**
     *医保统筹区区
     */
    private String medicalArea;
    //所在户籍
    private String regist;
    //固话
    private String fixedTel;
    //待遇类型
    private String treatmentType;
    //接受评定地址
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptAddress;
    //接受服务地址
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    private String acptSrvAddress;
    //接受服务地址类型(现在址：0,护理机构地址：1,其他：2,接受评定地址：3)
    private Short acptSrvType;
    //现住址
    private String adressDistrictProvincial;
    private String adressDistrictCity;
    private String adressDistrictCode;
    private String street;
    private String adressDetail;
    //现住址类型(0：接受评定地址；1：接受服务地址；2：其他)
    private Short addressType;

    //***失能人员医疗及失能信息
    /**
     * 是否首次申请 初次申请，争议复评，定期复评，变更评定
     */
    private Long reviewFrequency;
    //诊断疾病
    private String disease;
    private Integer diseTypeF;
    private Integer diseTypeS;
    //申请服务方式
    private Integer srvModeId;
    //病情描述及诊断
    private String diseaseDesc;
    //社会保障卡号
    private String medicalCard;
    //医保类型
    private String medicalType;
    //意向服务机构
    private Long srvOrganId;
    //意向服务机构执业许可证登记号
    private String permitId;

    //***代办人信息
    //姓名
    private String operName;
    //身份证号码
    private String operCertiCode;
    //手机
    private String operTel;
    //与失能人员关系
    private String operRelation;
    //代办人固话
    private String operFixedTel;
    //现住址
    private String operDistrictProvince;
    private String operDistrictCity;
    private String operDistrictCode;
    private String operStreet;
    private String operAddress;

    //***审核记录
    private List<ExamineRecord> examineRecords;

    //***审核结果
    //审核人
    private String checkName;
    //审核结果
    private String applyStatus;
    //备注
    private String checkRemark;
    // 复评原因
    private String reasonsReview;
    // 复评备注
    private String reasonsRemark;

    private String bankCardNo;

    private String applyTime;

    private List<ChFndAttach> fileDataList;
}
