package com.hungraim.ltc.governance.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.vo.governance.SvrSendListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface ChSrvSendMapper extends BaseMapper<ChSrvSend> {
    /**
     * 个人照护方案查询列表
     *
     * @param srvOrganId    服务机构id
     * @param realName      失能人员姓名
     * @param realTel       失能人员手机号
     * @param programStatus 服务方案状态
     * @return 返回列表
     */
    Page<SvrSendListVo> selectSrvSendList(Page<SvrSendListVo> page, @Param("srvOrganId") Long srvOrganId, @Param("realName") String realName, @Param("realTel") String realTel, @Param("programStatus") String programStatus);

    int updateSrvSendInfo(Long disabInfoId);
}