package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.vo.governance.DisableInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;


@Mapper
public interface DisableInfoMapper extends BaseMapper<ChDisableInfo> {


    @Select("<script>select s.real_name," +
            "i.SRV_SEND_ID," +
            "       j.acpt_provincial," +
            "       j.acpt_city," +
            "       j.acpt_area," +
            "       s.gender," +
            "       s.birthday," +
            "       s.certi_code," +
            "       s.tel," +
            "       s.disease," +
            "       i.srv_mode_id," +
            "       s.srv_organ_intent," +
            "       j.permit_id," +
            "       j.srv_organ_name," +
            "       i.allot_time," +
            "       i.stop_time," +
            "       i.status," +
            "       j.acpt_address," +
            "       s.DISTRICT_PROVINCIAL as provincial," +
            "       s.DISTRICT_CITY as city," +
            "       s.DISE_TYPE_S as diseTypeS" +
            "       from ch_srv_send i" +
            "       left join ch_disable_info s " +
            "       on s.disab_info_id = i.disab_info_id" +
            "       left join ch_srv_organ j" +
            "       on i.SRV_ORGAN_ID = j.SRV_ORGAN_ID" +
            "       where i.disab_info_id=#{disableInfoId} " +
            " <if test='status!=null and status !=\"\" '>"+
            " and i.status =#{status} "+
            " </if>"+
            " <if test='sendId!=null and sendId !=\"\" '>"+
            " and i.srv_send_id =#{sendId} "+
            " </if>"+
            "        </script>")
    Page<DisableInfoVo> querySrvYet(Page page, Integer disableInfoId ,Integer status,Integer sendId);
}
