package com.hungraim.ltc.governance.service.impl;

import cn.afterturn.easypoi.excel.ExcelExportUtil;
import cn.afterturn.easypoi.excel.entity.ExportParams;
import cn.afterturn.easypoi.excel.entity.enmus.ExcelType;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.api.AttachFeignService;
import com.hungraim.ltc.api.OrganFeignService;
import com.hungraim.ltc.governance.dao.*;
import com.hungraim.ltc.governance.service.AprOrganService;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.pojo.entity.assessment.ChAprEmp;
import com.hungraim.ltc.pojo.entity.assessment.ChCfgAprGroupDetail;
import com.hungraim.ltc.pojo.entity.serviceManage.ChAprOrgan;
import com.hungraim.ltc.pojo.entity.serviceManage.ChCfgAprOrganType;
import com.hungraim.ltc.pojo.entity.serviceManage.ChCfgAprempType;
import com.hungraim.ltc.pojo.entity.serviceManage.ChFndEducation;
import com.hungraim.ltc.pojo.vo.assessment.AprEmpExportVO;
import com.hungraim.ltc.pojo.vo.governance.AprEmpInfoVO;
import com.hungraim.ltc.pojo.vo.governance.AprEmpVO;
import com.hungraim.ltc.pojo.vo.governance.AprOrganInfoVO;
import com.hungraim.ltc.pojo.vo.governance.AprOrganVO;
import com.hungraim.ltc.pojo.vo.system.AttachUpdateVo;
import com.hungraim.ltc.util.AttachType;
import com.hungraim.ltc.util.Result;
import com.hungraim.ltc.util.ResultCode;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;


@Service
@Slf4j
@AllArgsConstructor
public class AprOrganServiceImpl extends ServiceImpl<AprOrganMapper, ChAprOrgan> implements AprOrganService {

    private final OrganFeignService organFeignService;
    private final AprOrganMapper aprOrganMapper;
    private final AprEmpMapper aprEmpMapper;
    private final ChCfgAprOrganTypeMapper cfgAprOrganTypeMapper;
    private final ChCfgAprGroupDetailMapper cfgAprGroupDetailMapper;
    private final CfgAprempMapper cfgAprempMapper;
    private final FndEducationMapper fndEducationMapper;
    private final AttachFeignService attachFeignService;

    @Override
    public Page<AprOrganVO> aprOrganList(Page<AprOrganVO> page, Long organId, Boolean isIncluded, String organName, String code) {
        Result<List<Long>> organChild = null;
        List<Long> organIds = null;
        if (organId != null) {
            if (isIncluded == null) {
                isIncluded = false;
            }
            organChild = organFeignService.getOrganChild(organId, isIncluded);
            organIds = organChild.getData();
        }
        return aprOrganMapper.aprOrganList(page, organIds, organName, code);
    }

    @Override
    public void updateAprOrganStatus(String aprOrganId, Short status) {
        ChAprOrgan chAprOrgan = aprOrganMapper.selectById(aprOrganId);
        chAprOrgan.setStatus(status);
        aprOrganMapper.updateById(chAprOrgan);
    }

    @Override
    public void addOrUpdateAprOrgan(AprOrganInfoVO chAprOrgan) {
        if (chAprOrgan.getAprOrganId() == null) {
            //新增
            chAprOrgan.setEffTime(new Date());
            chAprOrgan.setStatus((short) 0);
            aprOrganMapper.insert(chAprOrgan);
        } else {
            //更新
            ChAprOrgan aprOrgan = aprOrganMapper.selectById(chAprOrgan.getAprOrganId());
            aprOrgan.setAccName(chAprOrgan.getAccName());
            aprOrgan.setBankAccName(chAprOrgan.getBankAccName());
            aprOrgan.setBankAccCode(chAprOrgan.getBankAccCode());
            aprOrgan.setBankNo(chAprOrgan.getBankNo());
            aprOrgan.setOrganId(chAprOrgan.getOrganId());
            aprOrgan.setBankAccName(chAprOrgan.getBankAccName());
            aprOrgan.setOrganName(chAprOrgan.getOrganName());
            aprOrgan.setBankDistrictProvincial(chAprOrgan.getBankDistrictProvincial());
            aprOrgan.setBankDistrictCity(chAprOrgan.getBankDistrictCity());
            aprOrgan.setBankDistrictWebsite(chAprOrgan.getBankDistrictWebsite());
            aprOrgan.setCardType(chAprOrgan.getCardType());
            aprOrgan.setRemark(chAprOrgan.getRemark());
            aprOrgan.setDistrictProvincial(chAprOrgan.getDistrictProvincial());
            aprOrgan.setDistrictCity(chAprOrgan.getDistrictCity());
            aprOrgan.setDistrictArea(chAprOrgan.getDistrictArea());
            aprOrgan.setUnifiedSocialCreditCode(chAprOrgan.getUnifiedSocialCreditCode());
            aprOrgan.setOrganTypeId(chAprOrgan.getOrganTypeId());
            aprOrgan.setAcptProvincial(chAprOrgan.getAcptProvincial());
            aprOrgan.setAcptCity(chAprOrgan.getAcptCity());
            aprOrgan.setAcptArea(chAprOrgan.getAcptArea());
            aprOrgan.setAcptAddress(chAprOrgan.getAcptAddress());
            aprOrgan.setAcptStreet(chAprOrgan.getAcptStreet());
            aprOrgan.setLinkName(chAprOrgan.getLinkName());
            aprOrgan.setLinkTel(chAprOrgan.getLinkTel());
            aprOrgan.setGroupDetailName(chAprOrgan.getGroupDetailName());
            aprOrgan.setLinkMail(chAprOrgan.getLinkMail());
            aprOrganMapper.updateById(aprOrgan);
            chAprOrgan.setAprOrganId(aprOrgan.getAprOrganId());
        }
        updateAttachs(chAprOrgan.getFileDataList(), chAprOrgan.getAprOrganId(), AttachType.APR_ORGAN.getUploadType());
    }

    @Override
    public AprOrganInfoVO getAprOrganInfo(Long aprOrganId) {
        ChAprOrgan chAprOrgan = aprOrganMapper.selectById(aprOrganId);
        //查询附件列表
        Result<List<ChFndAttach>> listResult = null;
        try {
            // 返回对应的附件列表
            listResult = attachFeignService.selectAttachs(aprOrganId, AttachType.APR_ORGAN.getUploadType());
            if (!listResult.getCode().equals(ResultCode.SUCCESS.getCode())) {
                log.info("请求获取附件列表错误：错误码{},错误信息:{}", listResult.getCode(), listResult.getMsg());
            }
        } catch (Exception e) {
            log.error(e.getMessage());
            e.printStackTrace();
        }
        AprOrganInfoVO aprOrganInfoVO = new AprOrganInfoVO();
        BeanUtils.copyProperties(chAprOrgan, aprOrganInfoVO);
        aprOrganInfoVO.setFileDataList(listResult.getData());
        return aprOrganInfoVO;
    }

    @Override
    public List<ChCfgAprOrganType> getCfgAprOrganTypes() {
        return cfgAprOrganTypeMapper.selectList(new QueryWrapper<>());
    }

    @Override
    public List<ChCfgAprGroupDetail> getCfgAprGroupDetail() {
        return cfgAprGroupDetailMapper.selectList(new QueryWrapper<ChCfgAprGroupDetail>().eq("STATUS", 0));
    }

    @Override
    public Page<AprEmpVO> aprEmpList(Page<AprEmpVO> page, Long organId, Boolean isIncluded, String organName, String realName, String tel, String certiCode, String isLock, String empType) {
        Result<List<Long>> organChild = null;
        List<Long> organIds = null;
        if (organId != null) {
            if (isIncluded == null) {
                isIncluded = false;
            }
            organChild = organFeignService.getOrganChild(organId, isIncluded);
            organIds = organChild.getData();
        }
        return aprOrganMapper.aprEmpList(page, organIds, organName, realName, tel, certiCode, isLock, empType);
    }


    @Override
    public Workbook aprEmpExport(Long organId, Boolean isIncluded,String provincial, String city, String area, String organName, String name, String tel, String certiCode,String isLock,String empType, String groupLeader) {

        Result<List<Long>> organChild = null;
        List<Long> organIds = null;
        if (organId != null) {
            if (isIncluded == null) {
                isIncluded = false;
            }
            organChild = organFeignService.getOrganChild(organId, isIncluded);
            organIds = organChild.getData();
        }
        List<AprEmpExportVO> aprEmpExportList = aprOrganMapper.aprEmpExportList(organIds,provincial, city, area, organName, name, tel,certiCode, isLock,empType, groupLeader);
        ExportParams exportParams = new ExportParams();
        exportParams.setType(ExcelType.XSSF); // 对应xlsx
        Workbook workbook = ExcelExportUtil.exportExcel(exportParams, AprEmpExportVO.class, aprEmpExportList);
        return workbook;
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void addOrUpdateAprEmp(AprEmpInfoVO chAprEmp) {
        if (chAprEmp.getEmpId() == null) {
            //新增
            chAprEmp.setEffTime(new Date());
            chAprEmp.setIsLock(0);
            aprEmpMapper.insert(chAprEmp);
        } else {
            //更新
//            ChAprEmp aprEmp = aprEmpMapper.selectById(chAprEmp.getEmpId());
//            aprEmp.setTel(chAprEmp.getTel());
//            aprEmp.setAprempTypeIdF(chAprEmp.getAprempTypeIdF());
//            aprEmp.setAprempTypeIdS(chAprEmp.getAprempTypeIdS());
//            aprEmp.setEduId(chAprEmp.getEduId());
            aprEmpMapper.updateById(chAprEmp);
            chAprEmp.setEmpId(chAprEmp.getEmpId());
        }
        updateAttachs(chAprEmp.getFileDataList(), chAprEmp.getEmpId().longValue(), AttachType.APR_ORGAN_EMP.getUploadType());
    }

    @Override
    public List<ChCfgAprempType> cfgAprEmpType(String parAprempTypeId) {
        if (StringUtils.isBlank(parAprempTypeId)) {
            //父类型资质
            QueryWrapper<ChCfgAprempType> queryWrapper = new QueryWrapper<ChCfgAprempType>();
            queryWrapper.isNull("PAR_APREMP_TYPE_ID").or().eq("PAR_APREMP_TYPE_ID", "");
            return cfgAprempMapper.selectList(queryWrapper);
        } else {
            //根据父类型资质查询子类型资质
            return cfgAprempMapper.selectList(new QueryWrapper<ChCfgAprempType>().eq("PAR_APREMP_TYPE_ID", parAprempTypeId));
        }
    }

    @Override
    public List<ChFndEducation> fndEducation() {
        return fndEducationMapper.selectList(new QueryWrapper<>());
    }

    @Override
    public void updateAprEmpStatus(String empId, Integer isLock) {
        ChAprEmp chAprEmp = aprEmpMapper.selectById(empId);
        chAprEmp.setIsLock(isLock);
        aprEmpMapper.updateById(chAprEmp);
    }

    @Override
    public AprEmpInfoVO getAprEmpInfo(Long aprEmpId) {
        ChAprEmp chAprEmp = aprEmpMapper.selectById(aprEmpId);
        Integer aprOrganId = chAprEmp.getAprOrganId();
        ChAprOrgan chAprOrgan = aprOrganMapper.selectById(aprOrganId);
        String organId = chAprOrgan.getOrganId();
        AprEmpInfoVO aprEmpInfoVO = new AprEmpInfoVO();
        BeanUtils.copyProperties(chAprEmp, aprEmpInfoVO);
        aprEmpInfoVO.setOrganId(organId);
        aprEmpInfoVO.setUnifiedSocialCreditCode(chAprOrgan.getUnifiedSocialCreditCode());
        //查询附件列表
        try {
            // 返回对应的附件列表  调用文件服务获取对应文件，出错或未获取到就只是相当于没有设置对应的数据，减少系统之间的耦合性
            Result<List<ChFndAttach>> listResult = attachFeignService.selectAttachs(aprEmpId, AttachType.APR_ORGAN_EMP.getUploadType());
            if (!listResult.getCode().equals(ResultCode.SUCCESS.getCode())) {
                log.info("请求获取附件列表错误：错误码{},错误信息:{}", listResult.getCode(), listResult.getMsg());
            }
            aprEmpInfoVO.setFileDataList(listResult.getData());
        } catch (Exception e) {
            log.error("请求获取附件列表错误：,错误信息:{}", e.getMessage());
            e.printStackTrace();
        }
        return aprEmpInfoVO;
    }

    /**
     * 调用feign api来修改附件数据
     */
    private void updateAttachs(List<ChFndAttach> fileDataList, Long ctrlId, Short attachType) {
        // 新增附件修改逻辑
        AttachUpdateVo attachUpdateVo = new AttachUpdateVo();
        attachUpdateVo.setCtrlId(ctrlId);
        attachUpdateVo.setAttachType(attachType);
        attachUpdateVo.setChFndAttachs(fileDataList);
        attachFeignService.updateAttachs(attachUpdateVo);
    }
}
