package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.governance.dao.SrvSendMapper;
import com.hungraim.ltc.governance.service.SrvSendService;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.vo.disable.SearchDisableSimpleVo;
import com.hungraim.ltc.pojo.vo.governance.DisableInfoTaskVO;
import com.hungraim.ltc.pojo.vo.governance.SrvSendVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class SrvSendServiceImpl extends ServiceImpl<SrvSendMapper, ChSrvSend> implements SrvSendService {

    @Autowired
    private SrvSendMapper sendMapper;

    @Override
    public IPage<SrvSendVO> selectPage(ChDisableInfo disableInfo, ChSrvOrgan chSrvOrgan, ChSrvSend chSrvSend) {

        Integer current = disableInfo.getCurrent();
        Integer limit = disableInfo.getLimit();
        if (current == null || current < 1) {
            current = 1;
        }
        if (limit == null || limit < 1) {
            limit = 1;
        }
        Page<SrvSendVO> page = new Page<>(current, limit);
        return sendMapper.selectSendList(page, disableInfo, chSrvOrgan, chSrvSend);

    }

    @Override
    public DisableInfoTaskVO selectTaskById(Integer disableInfoId, Integer srvOrganId) {
        List<DisableInfoTaskVO> disableInfoTaskList = sendMapper.selectBydisableInfoId(disableInfoId);
        DisableInfoTaskVO disableInfoTaskVO = null;
        if(disableInfoTaskList.size() >0 ){
              disableInfoTaskVO = disableInfoTaskList.get(0);
        }

        if (srvOrganId != null) {
            String s = sendMapper.selectByOrganId(srvOrganId);
            disableInfoTaskVO.setPermitId(s);
        }
        return disableInfoTaskVO;
    }

    @Override
    public List<DisableInfoTaskVO> selectBydisableInfoId(Integer disableInfoId) {
        return sendMapper.selectTaskByDisableInfoId(disableInfoId);
    }

    @Override
    public Long selectMaxId() {
        return this.baseMapper.selectMaxId();
    }

    @Override
    public IPage<SearchDisableSimpleVo> buildBedSearchByRealName(Integer pageNum, Integer pageSize, Integer srvOrganId, String realName) {
        return sendMapper.buildBedSearchByRealName(new Page<>(pageNum, pageSize), srvOrganId, realName);
    }

    @Override
    public int insertSrvSend(ChSrvSend chSrvSend) {
        return this.baseMapper.insert(chSrvSend);
    }


}
