package com.hungraim.ltc.component;

import com.hungraim.ltc.system.service.impl.SystemInterfaceServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 *
 * 服务运行时将资源和接口关系缓存到数据库中
 * @author mq
 */
@Component
@Slf4j
public class InitResourceInterfaceCacheRunner implements CommandLineRunner {

    private final SystemInterfaceServiceImpl systemInterfaceService;

    @Autowired
    public InitResourceInterfaceCacheRunner( SystemInterfaceServiceImpl systemInterfaceService) {
        this.systemInterfaceService = systemInterfaceService;
    }

    @Override
    public void run(String... args){
        systemInterfaceService.listResourceInterface();
    }
}
